FLANG

Public Member Functions | List of all members
Fortran::evaluate::ArrayRef Class Reference

## Public Member Functions
| ArrayRef (const Symbol &symbol, std::vector< Subscript > &&ss)
| ArrayRef (Component &&c, std::vector< Subscript > &&ss)
| ArrayRef (NamedEntity &&base, std::vector< Subscript > &&ss)
NamedEntity & | base ()
const NamedEntity & | base () const
std::vector< Subscript > & | subscript ()
const std::vector< Subscript > & | subscript () const
int | size () const
Subscript & | at (int n)
const Subscript & | at (int n) const
template<typename A >
common::IfNoLvalue< Subscript &, A > | emplace_back (A &&x)
int | Rank () const
const Symbol & | GetFirstSymbol () const
const Symbol & | GetLastSymbol () const
std::optional< Expr< SubscriptInteger > > | LEN () const
bool | operator== (const ArrayRef &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp